print("Loading Effects") 


--configure Visual Elements
--return handle> texture, addBlend, size X, size Y, time, fadeIn, fadeOut, expandRateX, expandRateY
vel_dust        = addVisualElement(map_Dust, false, 8, 8, 1, true, true, 8, 8);
vel_skid        = addVisualElement(map_Skid, false, 4.5, 5, 3, false, true, 0, 0);
vel_damage        = addVisualElement(map_Smokeblack, false, 8, 8, 1, true, true, 8, 8);
vel_damflash        = addVisualElement(map_hurt, true, 15, 15, 0.20, false, true, 8, 8);

vel_hawk = addVisualElement(map_Hawk, false, 12, 7, 30, false, true, .1, .1);
vel_hawks = addVisualElement(map_HawkShadow, false, 7, 4.0, 30, false, true, 0, 0);

vel_expRing     = addVisualElement(map_Exring, true, 30, 30, 0.25, false, true, 0, 0);
vel_exFire      = addVisualElement(map_Exfire, true, 5, 5, 0.25, true, true, 20, 20);
vel_exFireLong  = addVisualElement(map_Exfire, true, 5, 5, 0.55, true, true, 20, 20);
vel_sparks      = addVisualElement(map_Sparks3, true, 2.5, 2.5, 1.5, false, true, 0, 0);
vel_sparkHit    = addVisualElement(map_Spark, true, 4, 4, 0.25, false, true, 20, 20);
vel_napalm      = addVisualElement(map_Exbright, true, 4.5, 4.5, 5.0, true, true, 1.0, 1.0);

vel_smokeDark   = addVisualElement(map_Smokeblack, false, 6, 6, 3.5, true, true, 8, 8);
vel_smokeDarkW   = addVisualElement(map_Smokeblack, false, 4, 4, 1.0, true, true, 8, 8);
vel_smokeW      = addVisualElement(map_Smokemw, false, 4, 4, 1.0, true, true, 12, 12);
vel_smokeWLong  = addVisualElement(map_Smokemw, false, 6, 6, 2.0, false, true, 4, 4);

vel_baseArrow  = addVisualElement(townmarker_arrow, false, 16, 16, 40000.0, false, false, 0, 0);
vel_baseCars  = addVisualElement(townmarker_cars, false, 16, 16, 40000.0, false, false, 0, 0);
vel_baseGuns  = addVisualElement(townmarker_guns, false, 16, 16, 40000.0, false, false, 0, 0);
vel_baseJobs  = addVisualElement(townmarker_jobs, false, 16, 16, 40000.0, false, false, 0, 0);
vel_baseTrade  = addVisualElement(townmarker_trade, false, 16, 16, 40000.0, false, false, 0, 0);

--configure Visual Effects
--line 1: return handle> sound effect
--lines: handle, element handle, time, count, offset X, offset Y, direction, dir range, velocity, vel range, resistance, spin, spin range
vef_hawk  = addVisualEffect(sound_none);
setVisualEffectEntry(vef_hawk, vel_hawk, 0, 3, 0, 0, PI * 0.25, 0, 10 ,0 ,0 ,0 ,0);

vef_hawks  = addVisualEffect(sound_none);
setVisualEffectEntry(vef_hawks, vel_hawks, 0, 1, 0, 0, PI * 0.25, 0, 10 ,0 ,0 ,0 ,0);


vef_carExplode  = addVisualEffect(sound_Explode);
setVisualEffectEntry(vef_carExplode, vel_exFire, 0, 6, 20, 20, 0, 0, 0 ,0 ,0 ,0 ,0);
setVisualEffectEntry(vef_carExplode, vel_sparks, 0, 10, 0, 0, 0, TWOPI, 35, 5, 1.5, 0, 0);
setVisualEffectEntry(vef_carExplode, vel_smokeDark, 0, 5, 7, 7, 0, TWOPI, 0, 3, 0.3, -0.5, 1);

vef_rocketExplode = addVisualEffect(sound_rocketExplode);
setVisualEffectEntry(vef_rocketExplode, vel_exFire, 0, 3, 10, 10, 0, 0, 0, 0, 0, 0, 0);
setVisualEffectEntry(vef_rocketExplode, vel_sparks, 0, 8, 0, 0, HALFPI, PI, 20, 30, 1.5, 0 , 2);
setVisualEffectEntry(vef_rocketExplode, vel_smokeDark, 0, 1, 0, 0, HALFPI, PI, 8, 20, 2, -0.5, 1);
setVisualEffectEntry(vef_rocketExplode, vel_smokeWLong, 0, 4, 12, 12, HALFPI, PI, 4, 6, 2, -0.5, 1);

vef_grenadeExplode = addVisualEffect(sound_grenadeExplode);
setVisualEffectEntry(vef_grenadeExplode, vel_exFire, 0, 3, 10, 10, 0, 0, 0, 0, 0, 0, 0);
setVisualEffectEntry(vef_grenadeExplode, vel_sparks, 0, 8, 0, 0, 0, TWOPI, 20, 30, 1.5, 0 , 2);
setVisualEffectEntry(vef_grenadeExplode, vel_smokeDark, 0, 1, 0, 0, 0, TWOPI, 8, 12, 2, -0.5, 1);
setVisualEffectEntry(vef_grenadeExplode, vel_smokeWLong, 0, 4, 0, 0, 0, TWOPI, 4, 6, 2, -0.5, 1);

vef_jadoLaunch = addVisualEffect(sound_Missile);
setVisualEffectEntry(vef_jadoLaunch, vel_exFire, 0, 2, 10, 10, 0, 0, 0, 0, 0, 0, 0);
--setVisualEffectEntry(vef_jadoLaunch, vel_sparks, 0, 8, 0, 0, 0, TWOPI, 20, 30, 1.5, 0 , 2);
setVisualEffectEntry(vef_jadoLaunch, vel_smokeDark, 0, 1, 0, 0, 0, TWOPI, 8, 12, 2, -0.5, 1);
setVisualEffectEntry(vef_jadoLaunch, vel_smokeWLong, 0, 2, 0, 0, 0, TWOPI, 4, 6, 2, -0.5, 1);

vef_molotovExplode = addVisualEffect(sound_molotovExplode);
setVisualEffectEntry(vef_molotovExplode, vel_exFireLong, 0, 3, 10, 10, 0, 0, 0, 0, 0, 0, 0);
setVisualEffectEntry(vef_molotovExplode, vel_smokeDark, 0, 1, 0, 0, 0, TWOPI, 8, 12, 2, -0.5, 1);
